package demo.ws.logmsg;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class LogMessageServiceImpl implements LogMessageService {
	private static final Log log = LogFactory.getLog(LogMessageServiceImpl.class);

	public String processLogMessageRequest(String request) {
		/*
		 * for this demo, we just log the message, return what we got
		 * and let Mule do its thing...
		 */
		log.debug("received request:\n"+request);
		return request;
	}

}
